﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using KinectedMusic.Audio;



namespace KinectedMusic.Visual
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        KinectController kinectController;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void WindowLoaded(object sender, RoutedEventArgs e)
        {
            kinectController = new KinectController(this);
        }

        public void ShowInstrument(UserControl instrument)
        {
            this.Instrument.Content = instrument;
        }

        private void WindowClosing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            //TODO: close the Kinect
        }

    }
}
